import axios from 'axios'
axios.defaults.baseURL = 'https://api.chzb9.com'
axios.defaults.headers.common['Content-Type'] = 'application/json'

export const fetcher = async(APIUrl, httpVerb = 'POST', payload) => {
    const axiosConfig = {
        method: httpVerb.toLowerCase(),
        url: APIUrl,
        data: payload
    }
    return await axios(axiosConfig)
        .then(function(response) {
            if (response.data.code === 200) {
                return response.data
            } else {
                return Promise.reject(response)
            }
        })
        .catch(function(error) {
            return error
        })
}